<?php declare(strict_types=1);

use Lof\NextGenImages\Block\Picture;

/** @var $block Picture */
$tagClass = $block->getClass();

$width = ($block->getWidth()) ? ' width="' . $block->getWidth() . '"' : '';
$height = ($block->getHeight()) ? ' height="' . $block->getHeight() . '"' : '';
$class = ($tagClass) ? ' class="' . $tagClass . '"' : '';
$lazyLoading = ($block->getLazyLoading()) ? ' loading="lazy" ' : '';
if(strpos($tagClass, 'ignore-lazy') >= 0){
    $lazyLoading = '';
}
$originalTag = trim($block->getOriginalTag());
$originalTag = preg_replace('/(\/?)>$/', $lazyLoading . '\1>', $originalTag);

$originalImage = $block->getOriginalImage();
$originalImageType = $block->getOriginalImageType();

$srcsetAttribute = $block->getIsDataSrc() ? 'data-srcset' : 'srcset';
$isIgnoreClass = $block->checkIgnoreClass($tagClass);
?>
<?php if ($block->getDebug()): ?>
    <!-- <?= /* @noEscape */
    $block->getOriginalTag() ?> -->
<?php endif; ?>
<?php if (!$isIgnoreClass) : ?>
<picture<?= /* @noEscape */
$class ?>>
    <?php foreach ($block->getSourceImages() as $sourceImage): ?>
        <source type="<?= /* @noEscape */
        $sourceImage->getMimeType() ?>" <?= /* @noEscape */
        $srcsetAttribute ?>="<?= /* @noEscape */
        $sourceImage->getUrl() ?>">
    <?php endforeach; ?>
    <source type="<?= /* @noEscape */
    $originalImageType ?>" <?= /* @noEscape */
    $srcsetAttribute ?>="<?= /* @noEscape */
    $originalImage ?>">
    <?php
    if ($block->isReplaceOriginalImage()) {
        $originalTag = str_replace([".png", ".PNG", ".jpg", ".JPG", ".jpeg", ".JPEG"], ".webp", $originalTag);
    }
    ?>
    <?= /* @noEscape */
    $originalTag ?>
</picture>
<?php else: ?>
<?= /* @noEscape */ $block->getOriginalTag() ?>
<?php endif; ?>
